#
#    Gnuplot script to make hurricane plots
#
#    Revision: $Revision: 1.2 $
#    Date:     $Date: 2010/02/18 17:15:20 $
#-----------------------------------------------------------------------
#
#    Divert the output into the eps file.
#
set  term      postscript eps enhanced color
set  output    "e_pacific.eps"
#
#    Annotate.  To get fancy symbols you have to use the enhanced mode
#    in postscript.
#
#    Note the set-show aspect of gnuplot.  If you don't show it you
#    don't see it.
#
set  xlabel    'Years'
show xlabel

set  title     "Numbers of H and MH in Eastern Pacific"
show title
#
#    Ask for a legend.  The titles in the legend are set by the titles in
#    the plot command which follows.
#
set  key       inside box
show key

plot	'e_pacific.dat' using 1:3 title "Hurricanes" with lines lw 3 linecolor 1, \
		'' using 1:4 title "Major Hurricanes" with lines lw 3 linecolor 3
show tics

#
#    Close the file.
#
set  output
#-----------------------------------------------------------------------
#
#    Divert the output into the eps file.
#
set  term      postscript eps enhanced color
set  output    "n_atlantic.eps"
#
#    Annotate.  To get fancy symbols you have to use the enhanced mode
#    in postscript.
#
#    Note the set-show aspect of gnuplot.  If you don't show it you
#    don't see it.
#
set  xlabel    'Years'
show xlabel

set  title     "Numbers of H and MH in North Atlantic"
show title
#
#    Ask for a legend.  The titles in the legend are set by the titles in
#    the plot command which follows.
#
set  key       inside box
show key

plot	'n_atlantic.dat' using 1:3 title "Hurricanes" with lines lw 3 linecolor 1, \
		'' using 1:4 title "Major Hurricanes" with lines lw 3 linecolor 3
show tics

#
#    Close the file.
#
set  output
#-----------------------------------------------------------------------
#
#    Divert the output into the eps file.
#
set  term      postscript eps enhanced color
set  output    "w_pacific.eps"
#
#    Annotate.  To get fancy symbols you have to use the enhanced mode
#    in postscript.
#
#    Note the set-show aspect of gnuplot.  If you don't show it you
#    don't see it.
#
set  xlabel    'Years'
show xlabel

set  title     "Numbers of H and MH in West Pacific"
show title
#
#    Ask for a legend.  The titles in the legend are set by the titles in
#    the plot command which follows.
#
set  key       inside box
show key

plot	'w_pacific.dat' using 1:3 title "Hurricanes" with lines lw 3 linecolor 1, \
		'' using 1:4 title "Major Hurricanes" with lines lw 3 linecolor 3
show tics

#
#    Close the file.
#
set  output
#-----------------------------------------------------------------------
#
#    Divert the output into the eps file.
#
set  term      postscript eps enhanced color
set  output    "s_indian.eps"
#
#    Annotate.  To get fancy symbols you have to use the enhanced mode
#    in postscript.
#
#    Note the set-show aspect of gnuplot.  If you don't show it you
#    don't see it.
#
set  xlabel    'Years'
show xlabel

set  title     "Numbers of H and MH in South Indian"
show title
#
#    Ask for a legend.  The titles in the legend are set by the titles in
#    the plot command which follows.
#
set  key       inside box
show key

plot	's_indian.dat' using 1:3 title "Hurricanes" with lines lw 3 linecolor 1, \
		'' using 1:4 title "Major Hurricanes" with lines lw 3 linecolor 3
show tics

#
#    Close the file.
#
set  output
#-----------------------------------------------------------------------
#
#    Divert the output into the eps file.
#
set  term      postscript eps enhanced color
set  output    "n_indian.eps"
#
#    Annotate.  To get fancy symbols you have to use the enhanced mode
#    in postscript.
#
#    Note the set-show aspect of gnuplot.  If you don't show it you
#    don't see it.
#
set  xlabel    'Years'
show xlabel

set  title     "Numbers of H and MH in North Indian"
show title
#
#    Ask for a legend.  The titles in the legend are set by the titles in
#    the plot command which follows.
#
set  key       inside box
show key

plot	'n_indian.dat' using 1:3 title "Hurricanes" with lines lw 3 linecolor 1, \
		'' using 1:4 title "Major Hurricanes" with lines lw 3 linecolor 3
show tics

#
#    Close the file.
#
set  output
#-----------------------------------------------------------------------
#
#    Divert the output into the eps file.
#
set  term      postscript eps enhanced color
set  output    "n_hemisphere.eps"
#
#    Annotate.  To get fancy symbols you have to use the enhanced mode
#    in postscript.
#
#    Note the set-show aspect of gnuplot.  If you don't show it you
#    don't see it.
#
set  xlabel    'Years'
show xlabel

set  title     "Numbers of H and MH in North Hemisphere"
show title
#
#    Ask for a legend.  The titles in the legend are set by the titles in
#    the plot command which follows.
#
set  key       inside box
show key

plot	'n_hemisphere.dat' using 1:3 title "Hurricanes" with lines lw 3 linecolor 1, \
		'' using 1:4 title "Major Hurricanes" with lines lw 3 linecolor 3
show tics

#
#    Close the file.
#
set  output
#-----------------------------------------------------------------------
#
#    Divert the output into the eps file.
#
set  term      postscript eps enhanced color
set  output    "s_hemisphere.eps"
#
#    Annotate.  To get fancy symbols you have to use the enhanced mode
#    in postscript.
#
#    Note the set-show aspect of gnuplot.  If you don't show it you
#    don't see it.
#
set  xlabel    'Years'
show xlabel

set  title     "Numbers of H and MH in South Hemisphere"
show title
#
#    Ask for a legend.  The titles in the legend are set by the titles in
#    the plot command which follows.
#
set  key       inside box
show key

plot	's_hemisphere.dat' using 1:3 title "Hurricanes" with lines lw 3 linecolor 1, \
		'' using 1:4 title "Major Hurricanes" with lines lw 3 linecolor 3
show tics

#
#    Close the file.
#
set  output
#-----------------------------------------------------------------------
#
#    Divert the output into the eps file.
#
set  term      postscript eps enhanced color
set  output    "worldwide.eps"
#
#    Annotate.  To get fancy symbols you have to use the enhanced mode
#    in postscript.
#
#    Note the set-show aspect of gnuplot.  If you don't show it you
#    don't see it.
#
set  xlabel    'Years'
show xlabel

set  title     "Numbers of TS, H and MH in Worldwide"
show title
#
#    Ask for a legend.  The titles in the legend are set by the titles in
#    the plot command which follows.
#
set  key       inside box
show key

plot	'worldwide.dat' using 1:2 title "Tropical Storms" with lines lw 3 linecolor 4, \
		'' using 1:3 title "Hurricanes" with lines lw 3 linecolor 1, \
		'' using 1:4 title "Major Hurricanes" with lines lw 3 linecolor 3
show tics

#
#    Close the file.
#
set  output
#-----------------------------------------------------------------------
